//! \file    DefvalWindow.cpp
//! \brief   Implementation of the Defval window for visual_YAO.
//! \version 2009/11/09 (yyyy/mm/dd)
//! \author  MAYAKI Abdouramane & MAYOMBO Alexis.

/*
  Nom du Fichier: DefvalWindow.cpp
  Nom de classe: DefvalWindow
  Role:
  Nombre de methodes:
  Nombre d'attributs:
  */

#include <iostream>
#include "Include/DefvalWindow.hpp"
//! \class DefvalWindow(QWidget *parent): QWidget(parent);
//! \brief Implementation of the Defval window for visual_YAO.

using namespace std;

/***************************************** The constructor **********************************************************************/

DefvalWindow::DefvalWindow(BasicWindow *parent): BasicWindow(parent) {  /*!< The constructor. */
	
	setWindowTitle("Directive Defval.");     /*!< To set the window's title. */
	m_nameLabel->setText("Constante: ");
	m_valueLabel->setText("Valeur: ");
	connect(m_helpButton, SIGNAL(clicked()), this, SLOT(callDefvalHelp()));

}
/********************************************************************************/
//QStringList DefvalWindow::getDataDefval() {
//QStringList test;
//	return test;//defvalData;
//}
/******************************************************************************************************************************************************/
void DefvalWindow::callDefvalHelp()
{
	QMessageBox::about(this, tr("Aide sur la directive defval."),
			("<p> La directive defval permet d'associer un nom symbolique à une valeur."
                         "<p><u>Exemple 1</u>: defval szx 12 <p><u>Exemple 2</u>: defval szy \"chaine\"<p> <u>Exemple 3</u>: defval szz szx"
                         "<p> Pour plus d'informations sur defval, <a href=\"help/defval_aide.html\">cliquez ici.</a>"));
}
/******************************************************************************************************************************************************/
/****************************************************************************************/
/*void DefvalWindow::closeEvent(QCloseEvent *event) {
	
      if (maybeSave()) {
            //writeSettings();
            event->accept();
      } 
	else 
            event->ignore();
      
}*/
/***************************************************************************************************************/
/*bool DefvalWindow::maybeSave()
{
      if (isWindowModified()) {
            int ret = QMessageBox::warning(this, tr("Application"),
                        tr("The document has been modified.\n"
                        "Do you want to save your changes?"),
                        QMessageBox::Yes | QMessageBox::Default,
                        QMessageBox::No,
                        QMessageBox::Cancel | QMessageBox::Escape);
            if (ret == QMessageBox::Yes)
	     return true;//return save();
            else if (ret == QMessageBox::Cancel)
            return false;
      }
      return true;
}	
*/
/************************************************************************************/

/*bool DefvalWindow::enregDataDefval(bool tar) {

	saveDefvalData();//return defvalData;
	return tar;
}*/

