#ifndef BASICWINDOW_HPP
#define BASICWINDOW_HPP

#include <QWidget>
#include <QPushButton>
#include <QTableWidget>
#include <QLineEdit>
#include <QLabel>
#include <QTextCodec>
#include <QGridLayout>
//#include <QStandardItemModel>
//#include <QString>
//#include <QFileDialog>
#include <QStringListModel>
//#include <QStringList>
//#include <QIODevice>
#include <QMessageBox>
#include <QCloseEvent>
#include <iostream>
#include <QHBoxLayout>
//using namespace std;

class BasicWindow : public QWidget {

	Q_OBJECT;

	public :
		BasicWindow(QWidget *parent=0); 
		QStringList getData();

	protected slots:
		void addRowInTable();
		void deleteRow();
		void saveData();
		 
	protected:	
		//The functions
		void addRow();
		bool testContenu(int anInt);
		void addNameInTable(int ligne, int colonne, QString nom); 
		void addValueInTable(int ligne, int colonne, QString valeur);
		void initialiserChamps();
		void closeEvent(QCloseEvent *event);

		// Variables	
                QLabel 	*m_nameLabel;
		QLabel	*m_valueLabel;           	

		QLineEdit *m_ligneNom;
            	QLineEdit *m_ligneValeur;

                QPushButton *m_addButton;
                QPushButton *m_delButton;
		QPushButton *m_saveButton;
		QPushButton *m_quitButton;
                QPushButton *m_helpButton;

            	QGridLayout *m_layoutGrid;  		
		QHBoxLayout *m_layoutH1;
                
		//QStandardItemModel *modele;
                QTableWidget *m_tableView;  

                //QFileDialog *fd;
                //QModelIndex index;

                //QString lstF;
                QStringList m_listeNoms;
                //QStringList m_listeValeursDefval;
                QStringListModel *m_modeleListeNoms;
                QStringList m_savedData;

                bool isCalled;
                
                int compteur;


};	

#endif
